;   22/Nov/2007   J.A.Rubio
;   Example used for the first tutorial of the XIX Canary Islands
;   Winter School of Astrophysics. 
;   
;   This code is run under IDL, in the HEALPIX environment (HIDL).
;
;-
;

pro example

; Paths. Set this directory according to your local
; instalation of Healpix.
path_to_healpix = "/scratch/planck/Healpix_2.00/"


; Colors
RED= [0, 1, 1, 0, 0, 1]
GREEN = [0, 1, 0, 1, 0, 1]
BLUE = [0, 1, 0, 0, 1, 0]
TVLCT, 255 * RED, 255 * GREEN, 255 * BLUE


; Main code.
fits2cl,cl,"cl.fits"
l = findgen(1025)

factor = l * (l + 1.0) / (2.0*!DPI) 

plot,l,cl*factor,xrange=[2,800],/xstyle,/xlog,yrange=[0,7d-9]

sigma = 0.5 / sqrt(8.*alog(2.)) * !DPI/180.

; Correcting by the window function
plot,l,cl*factor*exp(l*(l+1)*sigma^2.),xrange=[2,800],$
  /xstyle,/xlog,yrange=[0,7d-9]

; Pixel window function
read_fits_map,path_to_healpix+"data/pixel_window_n0512.fits",wl

; Power spectrum
fits2cl,teo,"data/camb_54210964_scalcls.fits"
oplot,l,teo[*,0]*factor,linestyle=2
oplot,l,teo[*,0]*factor*wl^2.,col=2

stop
end
